%define upstream_name    Email-MessageID
%define upstream_version 1.406

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:        Generate world unique message-ids
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Email::Address)

BuildArch:      noarch


Requires:       perl(Email::Address)

%description
Message-ids are optional, but highly recommended, headers that identify a
message uniquely. This software generates a unique message-id.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc README Changes META.yml
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.406.0-4pclos2017
- rebuild against updates

